subtle - Bug #203

Gravity calculation issue
05/12/2011 11:08 PM - Lasse Christensen

Status: Fixed Start date: 05/12/2011
Priority: Urgent Due date:

Assignee: Christoph Kappel % Done: 100%
Category: Bugfix Estimated time: 0.00 hour
Target version: Nu

Description

This issue was first reported by dwfreed, and confirmed by Ichr and unexist on IRC.

Using a 1680x1050 screen with a 17px top panel and 1033px of vertical space results in the following output from subtler -el:

0 0x17 1680 + 1033

Setting up four windows with 25% height and placing them at y-values of 0, 25, 50, and 75 results in the following subtler -cl output:
4x 21+1672 + 250

4x 214 + 1672 + 250

4x 408 + 1672 + 250
4x 602+ 1672 + 250

—_

The y-values are 21, 214, 408, and 602, which is incorrect given the gravities specified. The fourth window should (by my quick math,
which may be inaccurate) be defined as:

1 4x 796 + 1672 + 250

History

#1 - 05/12/2011 11:13 PM - Lasse Christensen

Whoops, that calculation IS wrong; | was calculating the position of a window placed at gravity [0, 88, 100, 25]. For an y-value of 75, the window
should be:

14 x646 + 1672 + 250

#2 - 05/12/2011 11:25 PM - Lasse Christensen

Ah, a final note:

| know you don't need me to calculate the correct placement. | was just trying to figure out if | had understood the problem correctly.

#3 - 05/13/2011 12:37 AM - Christoph Kappel
- Assignee set to Non member users

- Target version set to Nu

#4 - 05/13/2011 11:47 PM - Christoph Kappel
- Status changed from Unconfirmed to Fixed

- % Done changed from 0 to 100

Applied in changeset 503e5e44ceae.
